# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname python-meliae
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-meliae
Version:        0.4.0
Release:        alt1_18
Summary:        Python memory usage statistics

Group:          Development/Other
License:        GPLv3
URL:            https://launchpad.net/meliae
Source0:        http://launchpad.net/meliae/trunk/0.4/+download/meliae-0.4.0.tar.gz

BuildRequires:  gcc
BuildRequires:  python-devel
BuildRequires:  python-module-Cython
BuildRequires:  python-module-simplejson

%global _description\
"meliae" provides a way to dump python memory usage information to a JSON disk\
format, which can then be parsed into useful things like graph representations.\
\
The name is simply a fun word (means Ash-wood Nymph).
Source44: import.info

%description 

%_description
%prep
%setup -q -n meliae-%{version}

%build
%python_build


%install
%python_install

%check
# run_tests.py doesn't seem to work in the main directory: sys.path pulls in
# the dir of the script, which contains meliae/intset.pyx, but the built
# intset.so has been installed elsewhere in the tree, leading to:
#   ImportError: cannot import name _intset
# The meliae.tests directory isn't installed, so we do need to run from this
# directory.
# As a crude workaround, copy the .so files back into the source tree:
cp $RPM_BUILD_ROOT/%{python_sitelibdir}/meliae/*.so meliae
%{__python} run_tests.py --verbose

%files -n python-module-meliae
%doc CHANGES.txt COPYING.txt README.txt TODO.txt
%{_bindir}/strip_duplicates.py
%{python_sitelibdir}/meliae
%{python_sitelibdir}/meliae-*-py?.?.egg-info


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_18
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_11
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_8
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_7
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_6
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_5
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_3
- initial fc import

